# RadioLib: LoRaRate_t Struct Reference

LoRaRate_t Struct Reference

Data rate structure interpretation in case LoRa is used. More...

`#include <PhysicalLayer.h>`

## Public Attributes

uint8_t | spreadingFactor
| LoRa spreading factor.
float | bandwidth
| LoRa bandwidth in kHz.
uint8_t | codingRate
| LoRa coding rate.

## Detailed Description

Data rate structure interpretation in case LoRa is used.

The documentation for this struct was generated from the following file:

- src/protocols/PhysicalLayer/PhysicalLayer.h